サポート » 使い方全般 » Warning の意味がわからないので教えていただますか?

  • 解決済 yukamomma

    (@yukamomma)


    先日、フォーラムで管理画面真っ白問題を解決いただいたものです。

    その時は、解決でいっぱいいっぱいで、
    下記のWorningが目に入りませんでした。

    その後、落ち着いて管理画面を見て、
    Worningが目に入りました。

    facebookが関わっているらしい、のまでは理解できるのですが、
    ページに貼っているFBへのリンクは特に問題なく、
    なぜエラーが出ているのかを読み解くことができず、
    解消できません。

    わかる方がいらっしゃいましたら、
    解消法を教えていただきたく、
    どうぞよろしくお願い致します。

    なお、WP超初心者で、
    用語がよくわかりません。
    大変恐縮ですがお願い申し上げます。

    ****

    Warning: Use of undefined constant facebook_options_subpanel – assumed ‘facebook_options_subpanel’ (this will throw an Error in a future version of PHP) in /home/users/0/moo.jp-momma-world/web/wp-content/plugins/facebook-comments/facebooknotes.php on line 343

    Warning: Cannot modify header information – headers already sent by (output started at /home/users/0/moo.jp-momma-world/web/wp-content/plugins/facebook-comments/facebooknotes.php:343) in /home/users/0/moo.jp-momma-world/web/wp-includes/functions.php on line 6362

    Warning: Cannot modify header information – headers already sent by (output started at /home/users/0/moo.jp-momma-world/web/wp-content/plugins/facebook-comments/facebooknotes.php:343) in /home/users/0/moo.jp-momma-world/web/wp-admin/includes/misc.php on line 1310

    Warning: Cannot modify header information – headers already sent by (output started at /home/users/0/moo.jp-momma-world/web/wp-content/plugins/facebook-comments/facebooknotes.php:343) in /home/users/0/moo.jp-momma-world/web/wp-admin/admin-header.php on line 9

    Warning: Cannot modify header information – headers already sent by (output started at /home/users/0/moo.jp-momma-world/web/wp-content/plugins/facebook-comments/facebooknotes.php:343) in /home/users/0/moo.jp-momma-world/web/wp-includes/option.php on line 1051

    Warning: Cannot modify header information – headers already sent by (output started at /home/users/0/moo.jp-momma-world/web/wp-content/plugins/facebook-comments/facebooknotes.php:343) in /home/users/0/moo.jp-momma-world/web/wp-includes/option.php on line 1052

    ヘルプの必要なページ: [リンクを見るにはログイン]

3件の返信を表示中 - 1 - 3件目 (全3件中)
  • こんにちは

    Facebook Comments プラグインがお使いの PHP バージョンに対応していないため表示されるメッセージだと思います。とても古い(10年以上前)プラグインで、既に公開も停止されているので、別の同様の機能を有するプラグイン(私は知りませんが)へ移行されるといいかと思います。

    なぜエラーが出ているのかを読み解くならば、facebooknotes.phpというファイルの343行目に「facebook_options_subpanel」という文字列があり、これがシングルクオーテーションマーク(”)やダブルクオーテーションマーク(””)で囲われていないため、将来のPHPバージョンアップでエラーになる、という意味です。

    多少プログラムのわかる方であれば、PHPコードに手を入れるというのも一つの方法です。おそらく「’」で囲えば解決するでしょう。

    一般ユーザーの立場であれば、もはや「Facebook Comments」というプラグインが新しいものに対応できてないということなので、別のプラグインに変更するのがよいでしょう。

    • この返信は3年、 2ヶ月前にAoba Momouchiが編集しました。
    トピック投稿者 yukamomma

    (@yukamomma)

    ishitakaさん、Aoba Momouchiさん、

    早速のご回答ありがとうございました!

    初心者なので、全て勉強になります!!

    一般ユーザーですが
    原理をある程度理解した上で、

    プラグインを変更し、
    エラーの解決をすることができました。

    週末の夜遅くに
    どうもありがとうございました。

3件の返信を表示中 - 1 - 3件目 (全3件中)
  • トピック「Warning の意味がわからないので教えていただますか?」には新たに返信することはできません。